Reset Users passwords (Random Value)

put

/cloudapi/restapi/v3/user/auto-reset-pwd

This operation generates a random string and writes it to the password field for each of a list of users. The users are notified when the operation completes successfully.

Request

There are no request parameters for this operation.

Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: array
Show Source
Examples

Back to Top

Response

Supported Media Types

200 Response

successful operation
Body ()
Root Schema : Map<String,String>
Type: object
Title: Map<String,String>
Additional Properties Allowed
Show Source
Map of user identifiers to operation status messages.

400 Response

Invalid input, Please check.

500 Response

Internal Server Error. Underlying Identity Management System threw an error, Please check the logs.
Back to Top